<?php
/*
  $Id: languages.php,v 1.3 2006/07/16 05:50:39 ryu Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
  
  modified for Koshoten.net2
  http://www.koshoten.net/
*/
?>
<!-- languagesBox -->
<?php
  $cssid = 'languagesBox';
  $infobox_header = BOX_HEADING_LANGUAGES;

  if (!isset($lng) && !is_object($lng)) {
    include(DIR_WS_CLASSES . 'language.php');
    $lng = new language;
  }

  $languages_string = '<p>';
  reset($lng->catalog_languages);
  while (list($key, $value) = each($lng->catalog_languages)) {
    $languages_string .= ' <a href="' . tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('language', 'currency')) . 'language=' . $key, $request_type) . '">' . tep_image(DIR_WS_LANGUAGES .  $value['directory'] . '/images/' . $value['image'], $value['name']) . '</a> ';
  }
  $languages_string .= '</p>';

  $infobox_contents = array();
  $infobox_contents[] = array('text' => $languages_string);

  new infoBox($cssid, $infobox_contents, $infobox_header);
?>
<!-- /languagesBox -->
